function OnModPreInit()
	print("Modifiers and stuff - Pre Init") -- first this is called for all mods
end

function OnModInit()
	print("Modifiers and stuff - Mod Init") -- after that this is called for all mods
end

function OnModPostInit()
	print("Modifiers and stuff - Post Init") -- then this is called for all mods
end

function register_localizations(translation_file)
    local loc_content = ModTextFileGetContent("data/translations/common.csv") -- Gets the original translations of the game

	local append_content = ModTextFileGetContent(translation_file) -- Gets my own translations file

	local i = 0
	lines = {}
	for s in append_content:gmatch("[^\r\n]+") do
		i = i + 1
		if(i ~= 1)then
			table.insert(lines, s)
		end
	end

	for k, v in pairs(lines)do
		if(k ~= 1)then
			loc_content = loc_content .. string.char(10) .. v
		else
			loc_content = loc_content .. v
		end
	end

	ModTextFileSetContent("data/translations/common.csv", loc_content)
end

register_localizations("mods/spellbound_bundle/translations.csv")

function OnPlayerSpawned( player_entity ) -- this 
	local x, y = EntityGetTransform(player_entity)
	--[[EntityLoad("data/entities/props/music_machines/music_machine_00.xml", x + 100, y-50)
	EntityLoad("data/entities/props/music_machines/music_machine_01.xml", x - 100, y-50)
	EntityLoad("data/entities/props/music_machines/music_machine_02.xml", x - 200, y-50)
	EntityLoad("data/entities/props/music_machines/music_machine_03.xml", x - 300, y-50)]]

end

ModLuaFileAppend( "data/scripts/gun/gun_actions.lua", "mods/spellbound_bundle/files/scripts/actions.lua")
ModLuaFileAppend( "data/scripts/gun/gun.lua", "mods/spellbound_bundle/files/scripts/append/gun.lua" );
ModMaterialsFileAdd( "mods/spellbound_bundle/files/materials.xml" )



--[[
ModLuaFileAppend( "data/scripts/gun/gun_actions.lua", "mods/spellbound_bundle/files/spellbound/modifieractions.lua")
ModLuaFileAppend( "data/scripts/items/potion.lua", "mods/spellbound_bundle/files/spellbound/scripts/potionappend.lua")
ModLuaFileAppend( "data/scripts/gun/gun.lua", "mods/spellbound_bundle/files/spellbound/scripts/gun.lua" );
ModMaterialsFileAdd( "mods/spellbound_bundle/files/spellbound/scripts/materials.xml" )]]

--wab